Page MenuHomePhabricator

PHPRedis module >= 5.0.0 throws deprecation warnings for delete().
Closed, ResolvedPublic

Description

The PHPRedis module >= 5.0.0 marks Redis::delete() as deprecated and throws a deprecated warning with every call

Event Timeline

Alexia created this task.Jul 8 2019, 11:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2019, 11:41 AM

Change 521257 had a related patch set uploaded (by Alexia; owner: Alexia):
[mediawiki/core@master] Handle deprecated 'delete' alias with an alias function. This resolves phpredis >= 5.0.0 from throwing deprecation warnings.

https://gerrit.wikimedia.org/r/521257

Alexia renamed this task from PHPRedis >= 5.0.0 throws deprecation warnings for delete(). to PHPRedis module >= 5.0.0 throws deprecation warnings for delete()..Jul 8 2019, 11:55 AM
Alexia updated the task description. (Show Details)

Change 533714 had a related patch set uploaded (by Paladox; owner: Aaron Schulz):
[mediawiki/core@REL1_33] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/533714

Change 533714 merged by jenkins-bot:
[mediawiki/core@REL1_33] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/533714

Change 521257 abandoned by Reedy:
Handle deprecated 'delete' alias with an alias function. This resolves phpredis >= 5.0.0 from throwing deprecation warnings.

https://gerrit.wikimedia.org/r/521257

Reedy updated the task description. (Show Details)Dec 2 2019, 10:54 PM

Change 554176 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/core@master] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554176

Change 554179 had a related patch set uploaded (by Reedy; owner: Paladox):
[mediawiki/core@REL1_34] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554179

Change 554180 had a related patch set uploaded (by Reedy; owner: Paladox):
[mediawiki/core@REL1_33] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554180

Change 554181 had a related patch set uploaded (by Reedy; owner: Paladox):
[mediawiki/core@REL1_32] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554181

Change 554182 had a related patch set uploaded (by Reedy; owner: Paladox):
[mediawiki/core@REL1_31] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554182

Change 554123 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/services/jobrunner@master] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554123

Change 554123 abandoned by Paladox:
Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554123

Change 554181 merged by jenkins-bot:
[mediawiki/core@REL1_32] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554181

Change 554179 merged by jenkins-bot:
[mediawiki/core@REL1_34] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554179

Change 554183 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_32] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554183

Change 554184 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_31] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554184

Change 554182 merged by jenkins-bot:
[mediawiki/core@REL1_31] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554182

Change 554180 merged by jenkins-bot:
[mediawiki/core@REL1_33] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554180

Change 554176 merged by jenkins-bot:
[mediawiki/core@master] Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554176

Change 554184 merged by jenkins-bot:
[mediawiki/core@REL1_31] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554184

Change 554183 merged by jenkins-bot:
[mediawiki/core@REL1_32] objectcache: avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554183

Change 554123 restored by Paladox:
Avoid using deprecated phpredis::delete() alias

https://gerrit.wikimedia.org/r/554123

Krinkle closed this task as Resolved.EditedDec 4 2019, 2:23 AM
Krinkle added a subscriber: Krinkle.

Usage within MediaWiki core (eg. libs/objectcache), which this task was for, has been resolved in master, deployed, and and backported.